View Issue Details

IDProjectCategoryView StatusLast Update
0016505MediaMonkey 5Properties/Auto-Toolspublic2020-04-19 02:23
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016505: Files cannot be auto-organized until duplicates and overly long filenames are edited
Description1) Select thousands of files (typicaly a whole library)
2) right-click > Auto-organize...
3) MM5 warns that there are duplicates and overly long names to edit and does not allow to proceed

It should be able to proceed and MM should auto-cut and auto-resolve the duplicities (e.g. using numbered suffix like ..(1) )

MM4 allowed to proceed, but this way user could lost some files -- as it did not add numbered suffix and rather suggested to replace the duplicate files -- which is actually the worse case
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=30&t=96240#p466712
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=95662&p=466503#p465562
TagsNo tags attached.
Fixed in build2241

Relationships

related to 0014303 resolvedLudek Auto-organize / conversion: UI should better communication different errors 
related to 0016154 newpetr Use audio fingerprints to detect duplicates 

Activities

Ludek

2020-04-08 12:28

developer   ~0057549

I think we could add an [Auto-resolve] button next to the warging text?

i.e.
Duplicates and overly long filesnames are highlighted. Please edit them. [Auto-resolve]

Where clicking [Auto-resolve] would add the numbered suffixes and auto-shorts long paths?

peke

2020-04-08 13:16

developer   ~0057550

Last edited: 2020-04-08 13:17

View 2 revisions

Maybe also adding filter button (Drop down?) to snow only affected case files in the list as from user post i think it would help him to resolve such issue more quickly, than scroll thru list?

Also grouping such files on top of the list would help as a quickest method?

rusty

2020-04-08 16:59

administrator   ~0057554

Sounds good. From a UI perspective, we should:
1) Show the problematic files at the top of the list (I wouldn't bother with a filter)
2) Add a button to fix the filenames (note the proposed revision to layout and button naming):

Destination: ____________________________________________________________ . . . . . . . [>>] [Configure]
Duplicates and overly long filesnames are highlighted. Please edit them. . . . . . . . . [Fix filenames]
Resulting directories and filenames:
..
..

peke

2020-04-08 22:55

developer   ~0057571

1) I agree only issue I see with that is that that different errors are colored same so user can't differentiate what are Duplicates and what are Long filenames (or maybe not if they are sorted correctly)? (thus I think it is a question for 5.1)
2) Clean and efficient solution.

Ludek

2020-04-14 16:33

developer   ~0057601

Last edited: 2020-04-14 21:21

View 5 revisions

Changed target back to 5.0 as the need to manually edit duplicates and long names is really annoying.

I would rather say that MM5 should _always_ auto-resolve the conflicts and this way we don't need to add the [Fix filenames] button and warning text at all.

=> Fixed in 2241

Note: Added the auto-resolving to 'Convert-Format' dialog too

rusty

2020-04-19 02:21

administrator   ~0057642

Verified 2242.

Note: some users relied on the old functionality to automatically get rid of duplicates. We'll probably want to help such users by including a duplicates detected warning with a link to the improved duplicate removal functionality.